Request class for the GetItem operation.

### Type parameters

- #### T

### Hierarchy

- StandardRequest<T, GetItemInput, GetRequest<T>>
  - GetRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- metadata
- modelClazz
- params
- tableName

### Methods

- consistentRead
- exec
- execFullResponse
- projectionExpression
- returnConsumedCapacity

## Constructors

### constructor

- new GetRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>, partitionKey: any, sortKey?: any): GetRequest

- Overrides StandardRequest.constructor

  - Defined in dynamo/request/get/get.request.ts:19

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns GetRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:29

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:39

metadata created from modelClazz

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:34

corresponding Model Class

### params

params: GetItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:49

request input object

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:44

tableName created with configured tableNameResolver function

## Methods

### consistentRead

- consistentRead(consistentRead?: boolean): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:31

  Determines the read consistency model: If set to true, then the operation uses strongly consistent reads; otherwise, the operation uses eventually consistent reads.

  #### Parameters

  - ##### Default value consistentRead: boolean = true

  #### Returns GetRequest<T>

### exec

- exec(): Promise<T | null>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/get/get.request.ts:68

  execute request and return the parsed item

  #### Returns Promise<T | null>

### execFullResponse

- execFullResponse(): Promise<GetResponse<T>>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/get/get.request.ts:46

  #### Returns Promise<GetResponse<T>>

### projectionExpression

- projectionExpression(...attributesToGet: string[]): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:36

  #### Parameters

  - ##### Rest ...attributesToGet: string[]

  #### Returns GetRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): GetRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:75

  return ConsumedCapacity of the corresponding table(s) in the response

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

    not all requests support all values

  #### Returns GetRequest<T>